package com.ywt.outpatient.domain.models.enums;

/**
 * 明细类型枚举
 */
public enum AccountDetailTypeEnum {
    Treatment("远程会诊", 0),
    Consult("咨询", 1),
    Withdraw("提现", 2),
    Refund("退款", 3),
    AWARD("健康教育", 4),
    OFFLINE_CONSULT("线下就诊", 5);

    private final String displayName;

    private final int value;

    AccountDetailTypeEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
